Eclipse - エディタ関連 - lua エディタ

 
1. 概要
2. インストール
3. プロジェクト作成

1. 概要

 「Conky」という、Unix 系のタスクマネージャをさわっておりましたら、そのコンフィグレーションファイルが、「lua」という言語の文法に基づいているそうで・・・。  少し、興味を持って、いじってみようと思いました。  「Eclipse」の本線で対応しているようです。

2. インストール

 「新規ソフトウェアのインストール」でリリースサイトを選択して  「プログラミング言語」の中に  「lua 開発ツール」というのがあります。
「Eclipse」-「lua 開発ツール」

 他と同じ手順でインストールします。

3. プロジェクト作成

 プロジェクト作成は「lua Project」一択のようです。
「Eclipse」-「lua プロジェクト作成」

 「5.1」「5.2」しかなく、「5.3」には、対応していないようです。

「Eclipse」-「New lua Project」

 
 
カウンタバックグラウンド